# This file was autogenerated from a .units.py file
# via `make units`
'''
Metre-tonne-second units.

Similar in nature to SI and CGS,
used in France and the Soviet Union.

https://en.wikipedia.org/wiki/MTS_units
'''

from noether.core import Unit, UnitSet

from ..fundamental import meter as m, second as s
from ..conventional import tonne as t

stere = stère = Unit(
    m**3,
    ['stere', 'stère'], ['st'],
    info='MTS unit used in firewood measurement (Greek stereós, "solid")')

sthene = sthène = sthéne = Unit(
    t*m/s**2,
    ['sthene', 'sthène', 'sthéne'], ['sn'],
    info='MTS unit (Greek sthénos, "force")')

pieze = pièze = Unit(
    sthene / m**2,
    ['pieze', 'pièze'], ['pz'],
    info='MTS unit')

MTS = UnitSet({
    m,
    t,
    s,
    stere,
    sthene
})
